# Generated by Django 3.1.4 on 2021-02-12 01:04

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('inversiones', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='InvestmentStages',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=40, verbose_name='nombre estado')),
                ('descripcion', models.TextField(verbose_name='Descripcion estado')),
            ],
        ),
        migrations.AlterModelOptions(
            name='servicio',
            options={'ordering': ['updated'], 'verbose_name': 'Oportunidad', 'verbose_name_plural': 'Oportunidades'},
        ),
        migrations.AlterField(
            model_name='servicio',
            name='contract',
            field=models.FileField(upload_to='Oportunidades/contratos', verbose_name='Contrato'),
        ),
        migrations.AlterField(
            model_name='servicio',
            name='created',
            field=models.DateTimeField(auto_now_add=True, verbose_name='Fecha creación'),
        ),
        migrations.AlterField(
            model_name='servicio',
            name='description',
            field=models.TextField(verbose_name='Descripción'),
        ),
        migrations.AlterField(
            model_name='servicio',
            name='image',
            field=models.ImageField(upload_to='Oportunidades/img', verbose_name='Imagen o simbolo'),
        ),
        migrations.AlterField(
            model_name='servicio',
            name='income',
            field=models.FloatField(verbose_name='% Retorno'),
        ),
        migrations.AlterField(
            model_name='servicio',
            name='industry',
            field=models.CharField(max_length=20, verbose_name='Industria'),
        ),
        migrations.RemoveField(
            model_name='servicio',
            name='invest_stages',
        ),
        migrations.AlterField(
            model_name='servicio',
            name='investment_time',
            field=models.IntegerField(verbose_name='Tiempo de inversion (meses)'),
        ),
        migrations.AlterField(
            model_name='servicio',
            name='title',
            field=models.CharField(max_length=60, verbose_name='Titulo'),
        ),
        migrations.AlterField(
            model_name='servicio',
            name='updated',
            field=models.DateTimeField(auto_now_add=True, verbose_name='Fecha de actualización'),
        ),
        migrations.AddField(
            model_name='servicio',
            name='invest_stages',
            field=models.ManyToManyField(to='inversiones.InvestmentStages', verbose_name='Etapas Inversion'),
        ),
    ]
